net.sf.cglib.transform

## Class FieldVisitorTee

- java.lang.Object
- - FieldVisitor
  - - net.sf.cglib.transform.FieldVisitorTee

-     public class FieldVisitorTee
      extends FieldVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldVisitorTee(FieldVisitor fv1, FieldVisitor fv2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
    `void` | `visitAttribute(Attribute attr)`
    `void` | `visitEnd()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldVisitorTee

          public FieldVisitorTee(FieldVisitor fv1,
                         FieldVisitor fv2)

  - ### Method Detail

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(java.lang.String desc,
                                          boolean visible)

    - #### visitAttribute

          public void visitAttribute(Attribute attr)

    - #### visitEnd

          public void visitEnd()

Copyright (c) 2001 - Apache Software Foundation